List all files

Returns a list of the files that your account has access to. Paypercut sorts and returns the files by their creation dates, placing the most recently created files at the top.

Query Parameters
  • purpose
    Type: array string[] · enum

    Filter queries by the file purpose. If you don't provide a purpose, the queries return unfiltered files.

    • Type: string · enum

      The purpose of the uploaded file.

      values
      • account_requirement
      • additional_verification
      • identity_document
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/files
curl https://api.paypercut.io/v1/files \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "type": null,
      "url": null,
      "filename": null,
      "size": null,
      "purpose": "account_requirement"
    }
  ],
  "last_key": null
}